petsc-3.6.2 2015-10-02
Report Typos and Errors

# PFCreate

Creates a mathematical function context.

### Synopsis

    #include "petscpf.h"
    PetscErrorCode  PFCreate(MPI_Comm comm,PetscInt dimin,PetscInt dimout,PF *pf)

Collective on MPI_Comm

### Input Parameter

| comm | - MPI communicator
| dimin | - dimension of the space you are mapping from
| dimout | - dimension of the space you are mapping to

### Output Parameter

pf -the function context

### Keywords

PF, create, context

### See Also

PFSet(), PFApply(), PFDestroy(), PFApplyVec()

Level:developer
Location:src/vec/pf/interface/pf.c
Index of all PF routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex22.c.html